package me.icymint.libra.sas.task;

import java.io.File;

import me.icymint.libra.sas.session.SessionConfig;

public class SasSubmit extends TaskScanner<String, TaskConfig> {
	private static Object lock = new Object();

	private static TaskConfig getTaskConfig(SessionConfig config) {
		File f;
		int i = 0;
		synchronized (lock) {
			do {
				f = new File(config.getTaskCache(), "SAS任务-" + i++);
			} while (f.exists());
			f.mkdirs();
		}
		return new TaskConfig(f, config.getCmdFile());
	}

	public SasSubmit(SessionConfig config, String sas) {
		super(config, sas, getTaskConfig(config));
	}

}
